#### D.6.19.3 milnornumber

Procedure from library `realclassify.lib` (see realclassify_lib).

Usage:
  milnornumber(f); f poly

Return:
  Milnor number of f, or -1 if the Milnor number is not finite

Note:
  The monomial order must be local.

Example:

    LIB "realclassify.lib";
    ring r = 0, (x,y), ds;
    poly f = x3+y4;
    milnornumber(f);
    ==> 6

User manual for Singular version 4.4.1, 2025, generated by texi2html.